/*
 * PWM.h
 *
 *  Created on: 14 janv. 2019
 *      Author: e_rcluze
 */

#ifndef PWM_H_
#define PWM_H_

#include <RTC.h>
#include "tim.h"


#define PWM_MAX 31250-1

void PWMSetDutyCycle(uint8_t sortie, uint8_t pourcentage);

void PWMStart(uint8_t sortie);

void PWMStop(uint8_t sortie);

uint8_t POWMAX(uint8_t sortie);

uint16_t PourcentageToValue(uint8_t val);

#endif /* PWM_H_ */
